Bug 190402 - gnome-eject does not eject
gnome-eject does not eject
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-01 18:45 EDT by Steve Tyler
Modified: 2013-03-05 22:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:52:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 401689 None None None Never

  None (edit)
Description Steve Tyler 2006-05-01 18:45:51 EDT
Description of problem:
gnome-eject does not eject.
Here, eject means "open the drive tray".
The problem occurs with an empty drive.

Version-Release number of selected component (if applicable):
gnome-mount-0.4-5
kernel 2.6.16-1.2096_FC5

How reproducible:
Always.

Steps to Reproduce:
Type "gnome-eject" from a terminal window.

Actual results:
$ gnome-eject
gnome-mount 0.4

The drive does not open.
The message "gnome-mount 0.4" is displayed.

Expected results:
The drive opens.
Without arguments, the device /dev/cdrom should open.
There is no documentation on what drive is opened by default,
but the "eject" command opens /dev/cdrom by default.

Additional info:

$ gnome-eject -d /dev/hdc
gnome-mount 0.4

This does not open the drive either.
An error box is displayed that reads:
"Unable to mount media."
"There is probably no media in the drive."

If a disc is manually inserted in the drive and
the drive is manually closed,
then gnome-eject opens the drive.

The "eject" command opens the drive tray when the drive is empty.
I was expecting gnome-eject to behave the same way.

The "eject" command also has the useful option "-T" which will
open a closed drive and close an open drive.

$ ls -lF /dev/cd*
lrwxrwxrwx 1 root root 3 Apr 30 22:25 /dev/cdrom -> hdc
lrwxrwxrwx 1 root root 3 Apr 30 22:25 /dev/cdrom-hdc -> hdc
lrwxrwxrwx 1 root root 3 Apr 30 22:25 /dev/cdrom-hdd -> hdd
lrwxrwxrwx 1 root root 3 Apr 30 22:25 /dev/cdrw -> hdd
lrwxrwxrwx 1 root root 3 Apr 30 22:25 /dev/cdrw-hdd -> hdd
lrwxrwxrwx 1 root root 3 Apr 30 22:25 /dev/cdwriter -> hdd
lrwxrwxrwx 1 root root 3 Apr 30 22:25 /dev/cdwriter-hdd -> hdd
Comment 1 Steve Tyler 2006-05-01 19:15:22 EDT
(In reply to comment #0)

> If a disc is manually inserted in the drive and
> the drive is manually closed,
> then gnome-eject opens the drive.

Should have said, "gnome-eject -d /dev/cdrom" opens the drive.

With a manually inserted disc,
"gnome-eject", without arguments, does not open the drive.
I expect the default drive to open.
Comment 2 Alexander Boström 2007-10-19 13:17:58 EDT
Confirmed on F7.

This is basically two bugs, right? The first one is "gnome-eject doesn't have a
default drive" (which one could perhaps argue it shouldn't have) and the second
one is "gnome-eject doesn't work on an empty drive" (which I would consider a
real problem). The second one is covered here:

http://bugzilla.gnome.org/show_bug.cgi?id=401689
Comment 3 lexual 2008-01-31 05:34:31 EST
https://bugzilla.redhat.com/show_bug.cgi?id=365071

These bugs appear related.
Comment 4 Bug Zapper 2008-04-03 22:48:23 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 11:52:13 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.